Subject: [scim] Writable groups on user (consider for SICM 2.0)

From: Samuel Erdtman <[email-masked]>
Date: Tue, 24 Apr 2012 12:44:53 +0200

It has been considered before, the problem is that the groups
attribute on the user may contain dynamic and inherited groups which
makes removal of group membership through the user hard.
As I see it the arguments for managing group membership directly on
the user are:
* Easier to manage very large groups if membership can be changed from
the user object.
* Systems that require group membership when creating a user.

Thoughts? should we consider a writable groups attribute on the user
in SCIM 2.0?
(for details see the thread
http://www.ietf.org/mail-archive/web/scim/current/msg00235.html and
the http://www.simplecloud.info/ page)
//Samuel